import { SmzUiGuidesBuilder } from './ui-guides-builder';
export declare class SmzUiGuidesStepOverridesBuilder {
    private _builder;
    constructor(_builder: SmzUiGuidesBuilder);
    setTitle(title: string): SmzUiGuidesStepOverridesBuilder;
    setContent(content: string): SmzUiGuidesStepOverridesBuilder;
    setStyles(styleClass: string): SmzUiGuidesStepOverridesBuilder;
    setWidth(width: string): SmzUiGuidesStepOverridesBuilder;
    setHeight(height: string): SmzUiGuidesStepOverridesBuilder;
    offsetX(percentage: number): SmzUiGuidesStepOverridesBuilder;
    offsetY(percentage: number): SmzUiGuidesStepOverridesBuilder;
    horizontal(): SmzUiGuidesStepOverridesBuilder;
    vertical(): SmzUiGuidesStepOverridesBuilder;
    disableHighlight(): SmzUiGuidesStepOverridesBuilder;
    setHighlightMargin(margin: number): SmzUiGuidesStepOverridesBuilder;
    get override(): SmzUiGuidesBuilder;
}
